import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { OpenaireDataProviderComponent } from './dataProvider.component';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {properties} from "../../../environments/environment";


@NgModule({
 imports: [
  RouterModule.forChild([
    { path: '', component: OpenaireDataProviderComponent, data: {
        redirect: properties.errorLink,  community : 'openaire'
      },canDeactivate: [PreviousRouteRecorder] }
  ])
]
})
export class DataProviderRoutingModule { }
